using System;
using System.Collections.Generic;
using Syncfusion.Windows.Forms.Grid;

namespace SeperateModelTest
{
    public class WithFormula
    {
        public string value;
        public GridFormulaTag tag;

        public WithFormula(string value, GridFormulaTag tag)
        {
            this.value = value;
            this.tag = tag;
        }
    }

    public class ExternalData
    {
        private int _rowCount;
        private int _colCount;
        private List<List<WithFormula>> _data;

        public ExternalData(int rows, int cols)
        {
            _rowCount = rows;
            _colCount = cols;

            _data = new List<List<WithFormula>>();

            for (int i = 0; i < RowCount; i++)
            {
                _data.Add(new List<WithFormula>());
                for (int j = 0; j < ColCount; j++)
                    _data[i].Add(new WithFormula((100 * i + j).ToString(), null));
            }
        }

        public WithFormula this[int row, int col]
        {
            get
            {
                if (_data.Count > row)
                {
                    List<WithFormula> line = _data[row];
                    if (line.Count > col)
                        return line[col];
                }
                return new WithFormula("", null);
            }
            set
            {
                _data[row][col] = value;
            }
        }

        public int RowCount
        {
            get
            {
                return _rowCount;
            }
        }

        public int ColCount
        {
            get
            {
                return _colCount;
            }
        }
    }
}
